ProyectoCrm/src/app/Modulos/LoginModulo/Paginas/fw-login/Componentes/fw-login-recuperar/fw-login-recuperar.component.html

<div class="form-row">
  <div class="LoginRecuperar--Titulo">
    <h3 class="LoginRecuperar--Titulo-Texto">Recuperar Clave</h3>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <label class="sr-only" for="txtCorreo">Correo</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono">
        <div class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-envelope"></i></div>
      </div>
      <input class="ControlInput--Input" type="text" #txtCorreo="" placeholder="Correo" required="" [(ngModel)]="tCorreoRecuperacion" id="txtCorreo"/>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="LoginRecuperar--Boton">
    <button class="LoginRecuperar--Boton-Cancelar" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
  </div>
  <div class="LoginRecuperar--Boton">
    <button class="LoginRecuperar--Boton-Enviar" type="button" (click)="Recuperar()"><span class="icon text-white-50"><i class="fas fa-paper-plane"></i></span><span class="text">Enviar</span></button>
  </div>
</div>

ProyectoCrm/src/app/Modulos/LoginModulo/Paginas/fw-login/Componentes/fw-login-recuperar/fw-login-recuperar.component.pug
div.form-row
  div.LoginRecuperar--Titulo
    h3.LoginRecuperar--Titulo-Texto Recuperar Clave
div.form-row
  div.form-group.col-12
    label(for="txtCorreo").sr-only Correo
    div.ControlInput
      div.ControlInput--ContenedorIcono
        div.ControlInput--ContenedorIcono-Icono
          i.fas.fa-envelope
      input(type="text",
          #txtCorreo="",
          placeholder="Correo",
          required="",
          [(ngModel)]="tCorreoRecuperacion")#txtCorreo.ControlInput--Input
div.form-row
  div.LoginRecuperar--Boton
    button(type="button",
    (click)="Cancelar()").LoginRecuperar--Boton-Cancelar
      span.icon.text-white-50
        i.fas.fa-times
      span.text Cancelar
  div.LoginRecuperar--Boton
    button(type="button",
            (click)="Recuperar()").LoginRecuperar--Boton-Enviar
      span.icon.text-white-50
        i.fas.fa-paper-plane
      span.text Enviar
